Check if code point is a space character

- « IntlChar::ispunct

- IntlChar::istitle »

- PHP Manual
- IntlChar
- Check if code point is a space character

# IntlChar::isspace

(PHP 7, PHP 8)

IntlChar::isspace — Check if code point is a space character

### Description

public static IntlChar::isspace(int|string `$codepoint`): ?bool

Determines if the specified character is a space character or not.

### Parameters

`codepoint`

  The int codepoint value (e.g. `0x2603` for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. `"\u{2603}"`)

### Return Values

Returns `true` if `codepoint` is a space character, `false` if not. Returns `null` on failure.

### Examples

Example #1 Testing different code points

    <?phpvar_dump(IntlChar::isspace("A"));var_dump(IntlChar::isspace(" "));var_dump(IntlChar::isspace("\n"));var_dump(IntlChar::isspace("\t"));var_dump(IntlChar::isspace("\u{00A0}"));?>

The above example will output:

    bool(false)
    bool(true)
    bool(true)
    bool(true)
    bool(true)

### See Also

- IntlChar::isJavaSpaceChar() - Check if code point is a space character according to Java
- IntlChar::isWhitespace() - Check if code point is a whitespace character according to ICU
- IntlChar::isUWhiteSpace() - Check if code point has the White_Space Unicode property
- ctype_space() - Check for whitespace character(s)